BeanValidationProvider (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.validation, class: BeanValidationProvider

Package org.apache.cxf.validation

# Class BeanValidationProvider

java.lang.Object
org.apache.cxf.validation.BeanValidationProvider

All Implemented Interfaces:
  `AutoCloseable`

public class BeanValidationProvider extends Object implements AutoCloseable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BeanValidationProvider()`
  `BeanValidationProvider(jakarta.validation.ParameterNameProvider parameterNameProvider)`
  `BeanValidationProvider(jakarta.validation.ValidationProviderResolver resolver)`
  `BeanValidationProvider(jakarta.validation.ValidationProviderResolver resolver, Class<U> providerType)`
  `BeanValidationProvider(jakarta.validation.ValidationProviderResolver resolver, Class<U> providerType, ValidationConfiguration cfg)`
  `BeanValidationProvider(jakarta.validation.Validator validator)`
  `BeanValidationProvider(jakarta.validation.ValidatorFactory factory)`
  `BeanValidationProvider(ValidationConfiguration cfg)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `<T> void`
  `validateBean(T bean)`
  `<T> void`
  `validateParameters(T instance, Method method, Object[] arguments)`
  `<T> void`
  `validateReturnValue(T bean)`
  `<T> void`
  `validateReturnValue(T instance, Method method, Object returnValue)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BeanValidationProvider

    public BeanValidationProvider()

  - ### BeanValidationProvider

    public BeanValidationProvider(jakarta.validation.ParameterNameProvider parameterNameProvider)

  - ### BeanValidationProvider

    public BeanValidationProvider(ValidationConfiguration cfg)

  - ### BeanValidationProvider

    public BeanValidationProvider(jakarta.validation.Validator validator)

  - ### BeanValidationProvider

    public BeanValidationProvider(jakarta.validation.ValidatorFactory factory)

  - ### BeanValidationProvider

    public BeanValidationProvider(jakarta.validation.ValidationProviderResolver resolver)

  - ### BeanValidationProvider

    public BeanValidationProvider(jakarta.validation.ValidationProviderResolver resolver, Class<U> providerType)

  - ### BeanValidationProvider

    public BeanValidationProvider(jakarta.validation.ValidationProviderResolver resolver, Class<U> providerType, ValidationConfiguration cfg)

- ## Method Details

  - ### validateParameters

    public <T> void validateParameters(T instance, Method method, Object[] arguments)

  - ### validateReturnValue

    public <T> void validateReturnValue(T instance, Method method, Object returnValue)

  - ### validateReturnValue

    public <T> void validateReturnValue(T bean)

  - ### validateBean

    public <T> void validateBean(T bean)

  - ### close

    public void close()
    Specified by:
      `close` in interface `AutoCloseable`